diff -r 0ab3d3e47271 code/nel/src/3d/driver/opengl/driver_opengl.cpp
--- a/code/nel/src/3d/driver/opengl/driver_opengl.cpp	Tue May 11 16:02:53 2010 +0200
+++ b/code/nel/src/3d/driver/opengl/driver_opengl.cpp	Tue May 11 20:00:42 2010 +0200
@@ -1041,6 +1041,18 @@
 		None
 	};
 
+	static int sAttribList24bpp[] =
+	{
+		GLX_RGBA,
+		GLX_DOUBLEBUFFER,
+		//GLX_BUFFER_SIZE, 16,
+		GLX_DEPTH_SIZE, 24,
+		GLX_RED_SIZE, 8,
+		GLX_GREEN_SIZE, 8,
+		GLX_BLUE_SIZE, 8,
+		None
+	};
+
 	static int sAttribList32bpp[] =
 	{
 		GLX_RGBA,
@@ -1054,9 +1066,11 @@
 		None
 	};
 
-	// first try 32bpp and if that fails 16bpp
+	// first try 32bpp and if that fails 24bpp or 16bpp
 	XVisualInfo *visual_info = glXChooseVisual (dpy, DefaultScreen(dpy), sAttribList32bpp);
 	if (visual_info == NULL)
+		visual_info = glXChooseVisual(dpy, DefaultScreen(dpy), sAttribList24bpp);
+	if (visual_info == NULL)
 		visual_info = glXChooseVisual(dpy, DefaultScreen(dpy), sAttribList16bpp);
 	if(visual_info == NULL)
 	{
